package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;
import ${basePackage}.frame.base.BaseEntity;

/**
 * RESOURCE - 资源
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2019-12-27
 */
@SheetName("资源")
public class Resource extends BaseEntity {

    /**
     * CODE - 资源代码
     */
    @ColumnName("资源代码")
    @ColumnDescription("")
    private String code;
    /**
     * VALUE - 资源内容
     */
    @ColumnName("资源内容")
    @ColumnDescription("")
    private String value;
    /**
     * COMMENT - 资源描述
     */
    @ColumnName("资源描述")
    @ColumnDescription("")
    private String comment;
    /**
     * RESOURCE_TYPE - 资源类型
     */
    @ColumnName("资源类型")
    @ColumnDescription("")
    private String resourceType;
    /**
     * VALID - 是否有效
     */
    @ColumnName("是否有效")
    @ColumnDescription("")
    private Boolean valid;

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getResourceType() {
        return this.resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}